# Wie kann man diese Anleitung ergänzen

Da diese Anleitung immer auf dem neusten Stand gehalten werden soll ist es unerlässlich, dass alle mithelfen.

## Ein neues Kapitel erstellen

Die Anleitung wird verwaltet über den Link: https://git.uhle.cloud/Film-AG/Equipment/

In dem Ordner src sind die bereits existierenden Kapitel aufgelistet. Um diese zu bearbeiten, oder ein neues Kapitel zu erstellen benötigt man ein Konto auf https://git.uhle.cloud . Dieses Konto kann von Herrn Dietrich erstellt werden. Bitte einen Verantwortlichen der Film AG Herrn Dietrich eine entsprechende email zu schreiben.

Ist ein Konto erstellt, erfolgreich eingeloggt und hat die nötigen Zugangsrechte, müsste es jetzt einen blauen Knopf `Neue Datei` und `Datei hochlagen` geben. Sollte das noch nicht der Fall sein, muss das Problem erst gefunden und gelöst werden.

Jetzt kann man in den `src` Ordner wechseln, in dem die Kapitel sind, und das ganze sollte so aussehen:

![Screenshot](./img/anleitung_fuer_kapitel/Repository.png)

Über der liste der vorhandenen Kapitel sind auf der rechten Seite die Knöpfe `Neue Datei`, `Datei hochladen` und `Verlauf `. Man erstellt jetzt eine neue Datei mit dem entsprechenden Knopf – Achtung die neue Datei muss in dem `src` Ordner erstellt werden. Im Folgenden Fenster muss man einen Dateinamen eingeben. Der Übersicht halber hier einen Namen wählen, der das neu zu schreibende Kapitel möglichst gut beschreibt. Bei der Namenwahl bitte darauf achten, dass nur Buchstaben und `_`, `-`, `.` im Dateinamen vorkommen und der Name mit `.md` endet. Zum Beispiel `Alpha7_kamera.md`.

![Screenshot](./img/anleitung_fuer_kapitel/Neue_Datei.png)

Sie können schon jetzt den Text eingeben, Sie können aber auch erstmal die Datei abspeichern. Das System speichert jede Version und man kann auch jede Version anzeigen. Es ist schön, wenn jeder `commit` einen (kurzen) Kommentar bekommt, was geändert wurde (direkt unterder Überschrift). Ist etwas mehr Beschreibung nötig oder nützlich, kann man diese in das große Feld schreiben.

Zuletzt ist es noch gut, wenn ein beschreibender Name für die Veränderungen (Branch) gewählt wird. Es ist hier gut wenn dieser mit dem eigenen Benutzernamen beginnt in diesem Fall: `dietrich-` und dann zum Beispiel der Name des Kapitels – insgesamt also `dietrich-Kamera_Alpha7`. Auch hier dürfen keine Leerzeichen vorkommen.

Zum Abspeichern klicken Sie ganz unten auf der Seite auf `Änderungen comitten`. 

![Screenshot](./img/anleitung_fuer_kapitel/Committen.png)

Nach dem Comitten wird man zu diesem neu erstellten Branch weitergeleitet. Die Änderungen sind bis jetzt noch in einem sepparaten Teil. Um diese Änderungen jetzt in die Hauptversion einzuspielen muss man einen Pullrequest erstellen. Dieser wird dann durch andere Mitglieder der Film-AG korrekturgelesen und wenn zwei ihr OK geben, kann die Veränderung in den Hauptzweig übergehen - also in die Internetseite übernommen werden.

Es wird also nun durch klick auf `Neuer Pull-Request` eine solche Anfrage erstellt.

![Screenshot](./img/anleitung_fuer_kapitel/Pull-Request.png)

Jetzt kann man nochmal eine Zusammenfassung eingeben, wenn die vorher schon eingegebene gut ist kann man einfach auf `Pull-Request Erstellen` klicken.

Jetzt ist die Anfrage raus und zwei andere Mitglieder müssen diesen Text Korrekturlesen und eventuell Kommentare einfügen.

## Erweiterung der Pull-Request

Oft ist es notwendig die Pull-Request nochmal zu ändern, weil entsprechende Anmerkungen gemacht wurden, oder weil man selbst bemerkt hat, dass noch etwas fehlt. In unserem Fall bemerken wir jetzt, dass wir das Kapitel zwar erstellt haben, aber dieses nicht zum Inhaltsverzeichnis hinzugefügt. Das heißt es wäre nicht möglich das Kapitel auf der Internetseite zu lesen.

Man muss dazu zurück zur Übersicht, indem man oben auf Equipment klickt, dann wählt man den richtigen Branch, den man weiter oben angegeben hat.


![Screenshot](./img/anleitung_fuer_kapitel/aenderungen.png)

Jetzt müsste diese Übersicht sichtbar sein, in der man durch einen Klick auf `src` in das Verzeichnis `src` wechseln.

![Screenshot](./img/anleitung_fuer_kapitel/eigener-branch.png)

In diesem Verzeichnis müssten jetzt die Dateien sein, die in unserem Pull-Request erstellt wurden. Wir hatten ja die Datei `Alpha7_kamera.md` erstellt.

![Screenshot](./img/anleitung_fuer_kapitel/eigener-branch-src.png)

Nun müssen wir dieses Kapitel in das Inhaltsverzeichnis einfügen.

Das Inhaltsverzeichnis ist in der Datei `SUMMARY.md`. Einfach nach einem Klick auf diese Datei oben rechts auf das kleine Bleistiftsymbol (direkt neben dem Mülltonnensymbol) klicken und die Datei anpassen.

![Screenshot](./img/anleitung_fuer_kapitel/Summary.png)

Hier muss das neue Kapitel eingefügt werden, indem eine neue Zeile hinzugefügt wird. Am einfachsten kopiert man eine Zeile und verändert den Titel des Kapitels zwischen den Eckigen Klammern und den Dateinamen zwischen den runden Klammern.

Eine Beispielzeile (alt):

```md
- [Einleitung](./chapter_1.md)
```

wird verändert zu:

```md
- [Einleitung](./chapter_1.md)
- [Die Kameragehäuse Sony Alpha 7](./Alpha7_kamera.md)
```

Die Reihenfolge ist dieselbe, wie nacher auch im Inhaltsverzeichnis man sollte also darauf achten die neue Zeile an der richtigen Stelle einzufügen.

Auch diesmal fügt man unten auf der Seite einen kleinen Kommentar zur Änderung hinzu und drückt auf `Änderungen comitten`. Jetzt kann man in der Pull-Request nachschauen und die neuen Veränderungen müssten auch in dieser Pullrequest sein.